/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class WorkerFlyWeight {
    public id: string;

    public name: string;

    public tagMacAddress: string;

    public workerTrade: string[];

    /**
     * Creates a WorkerFlyWeight.
     *
     * @param {string} id
     * @param {string} name
     * @param {string} tagMacAddress
     * @param {string} workerTrade
     */
    constructor(id: string, name: string, tagMacAddress: string, workerTrade: string[]) {
        this.id = id;
        this.name = name;
        this.tagMacAddress = tagMacAddress;
        this.workerTrade = workerTrade;
    }
}